#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xFA,0xCE,0xCF,0x32,0x1A,0xAB,0x22,0x51,0x41,0x2D,0xDF,0x88,
		0x1D,0x8C,0x72,0x09,0xF1,0x15,0xD0,0xAE,0xD1,0xBC,0xFE,0xBC,
		0xAD,0x22,0x74,0xA3,0x11,0x5A,0x89,0x4A,0xE6,0x3B,0xD6,0xA1,
		0x30,0x9C,0x25,0x53,0xE7,0xF2,0x98,0x36,0x36,0x13,0xDD,0x6B,
		0xD1,0xDD,0xD8,0xC0,0x0B,0xA0,0xDA,0x30,0xD3,0x07,0x54,0x88,
		0x23,0x12,0x65,0x5B,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
